Update a Pipeline

View as Markdown
You can use this endpoint to: * Rename a Pipeline. * Reorder Opportunity Statuses within a Pipeline. * Move an Opportunity Status from a different Pipeline into this one. * To do so, include `{"id": "id_of_the_status_from_another_pipeline"}` in the `statuses` list.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects an object.
namestringOptionalDefaults to
statuseslist of objects or nullOptional
Opportunity Statuses of this Pipeline, in the desired order.

Response

Successful response
created_bystring or null
date_createddatetime
date_updateddatetime
idstring
namestring
organization_idstring
statuseslist of objects
updated_bystring or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error